import * as joi from '@hapi/joi';
export interface ValidationSchemaFactory {
    (joi: any): joi.Schema;
}
export declare class CommonValidator {
    private static _getJoi;
    /**
     * static method to provide a singleton schema object reference
     * @param factory - Joi schema factory accepting a single argument, the joi validator object.
     */
    static getSchema(factory: ValidationSchemaFactory): joi.Schema;
    static useInBrowser(): void;
    /**
     * static validation method
     * @param factory - Joi schema factory (joi): Joi.Schema
     * @param payload - Payload to validate against schema
     * @param options - Validation options (optional)
     */
    static validate(factory: ValidationSchemaFactory, payload: any, options?: joi.ValidationOptions): joi.ValidationResult<any>;
}
