import { EntityEventHandler } from '../component/kinds';
import { EntityResolutionContext } from './entityResolutionContext';
/**
 * Invoke an entity resolution component
 * @param {object} component - component instance
 * @param {EntityResolutionContext} context - context derived for this invocation
 * @private
 */
export declare function invokeResolveEntitiesEventHandlers(component: EntityEventHandler, context: EntityResolutionContext): Promise<void>;
/**
 * Resolve the event handlers defined by the component
 * @param {object} component - component implementation
 * @private
 */
export declare function getResolveEntitiesEventHandlers(component: any): string[];
