import * as middleware from './middleware/';
/**
 * Configurable middleware module.
 *
 * ```javascript
 * import * as OracleBot from '@oracle/bots-node-sdk';
 *
 * export = (app: express.Express): void => {
 *   app.use('/components', OracleBot.Middleware.customComponent({
 *     cwd: __dirname, // root of application source
 *     register: [ // explicitly provide a global registry
 *       './path/to/a/component',
 *       require('./path/to/another/component'),
 *       './path/to/other/components',
 *       './path/to/a/directory',
 *     ]
 *   }));
 * };
 * ```
 */
export declare namespace Middleware {
    const customComponent: typeof middleware.customComponent;
    class WebhookClient extends middleware.WebhookClient {
    }
    export import WebhookEvent = middleware.WebhookEvent;
    const webhookReceiver: typeof middleware.webhookReceiver;
}
